Bug 1412232 - [abrt] Thunar: g_file_monitor_emit_event(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: g_file_monitor_emit_event(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0fad3022eadf931a6255b35186d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:14 UTC by Clemens Eisserer
Modified: 2017-12-12 13:40 UTC (History)
4 users (show)

Fixed In Version: Thunar-1.6.13-1.fc27 Thunar-1.6.13-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (93.45 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: core_backtrace (23.98 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: dso_list (9.23 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: environ (1.63 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: maps (48.58 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: mountinfo (3.08 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: open_fds (2.32 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-11 15:14 UTC, Clemens Eisserer
no flags Details

Description Clemens Eisserer 2017-01-11 15:14:16 UTC
Description of problem:
thunar was switched to background when it suddenly crashed

Version-Release number of selected component:
Thunar-1.6.10-6.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: g_file_monitor_emit_event
executable:     /usr/bin/thunar
global_pid:     1445
kernel:         4.5.4-300.fc24.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 g_file_monitor_emit_event at gfilemonitor.c:290
 #3 g_file_monitor_source_dispatch at glocalfilemonitor.c:546
 #7 g_main_context_iteration at gmain.c:3990
 #8 glib_worker_main at gmain.c:5783
 #9 g_thread_proxy at gthread.c:784

Comment 1 Clemens Eisserer 2017-01-11 15:14:23 UTC
Created attachment 1239467 [details]
File: backtrace

Comment 2 Clemens Eisserer 2017-01-11 15:14:24 UTC
Created attachment 1239468 [details]
File: cgroup

Comment 3 Clemens Eisserer 2017-01-11 15:14:26 UTC
Created attachment 1239469 [details]
File: core_backtrace

Comment 4 Clemens Eisserer 2017-01-11 15:14:28 UTC
Created attachment 1239470 [details]
File: dso_list

Comment 5 Clemens Eisserer 2017-01-11 15:14:29 UTC
Created attachment 1239471 [details]
File: environ

Comment 6 Clemens Eisserer 2017-01-11 15:14:31 UTC
Created attachment 1239472 [details]
File: exploitable

Comment 7 Clemens Eisserer 2017-01-11 15:14:32 UTC
Created attachment 1239473 [details]
File: limits

Comment 8 Clemens Eisserer 2017-01-11 15:14:34 UTC
Created attachment 1239474 [details]
File: maps

Comment 9 Clemens Eisserer 2017-01-11 15:14:36 UTC
Created attachment 1239475 [details]
File: mountinfo

Comment 10 Clemens Eisserer 2017-01-11 15:14:37 UTC
Created attachment 1239476 [details]
File: namespaces

Comment 11 Clemens Eisserer 2017-01-11 15:14:39 UTC
Created attachment 1239477 [details]
File: open_fds

Comment 12 Clemens Eisserer 2017-01-11 15:14:40 UTC
Created attachment 1239478 [details]
File: proc_pid_status

Comment 13 Clemens Eisserer 2017-01-11 15:14:41 UTC
Created attachment 1239479 [details]
File: var_log_messages

Comment 14 Mukundan Ragavan 2017-01-14 16:56:30 UTC
any chance of file transfer at the time?

Comment 15 Clemens Eisserer 2017-04-05 12:54:05 UTC
Similar problem has been detected:

thunar crashed while running in background

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: g_file_monitor_emit_event
executable:     /usr/bin/thunar
global_pid:     1457
kernel:         4.9.14-200.fc25.x86_64
package:        Thunar-1.6.11-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Clemens Eisserer 2017-04-05 12:56:41 UTC
For the last crash I am pretty sure there was no active file transfer - however Thunar was used to transfer files 1-2 hours ago to an SD card (including multiple mount/unmount cycles). 

Could have some stale transfer to an unmounted media caused the issue?

Comment 17 Fedora End Of Life 2017-11-16 15:28:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora Update System 2017-11-26 23:26:15 UTC
Thunar-1.6.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d659d155e

Comment 19 Fedora Update System 2017-11-26 23:26:52 UTC
Thunar-1.6.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f1bb1f8e7

Comment 20 Fedora Update System 2017-11-28 06:45:39 UTC
Thunar-1.6.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d659d155e

Comment 21 Fedora Update System 2017-11-28 07:24:26 UTC
Thunar-1.6.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f1bb1f8e7

Comment 22 Fedora End Of Life 2017-12-12 10:08:12 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Fedora Update System 2017-12-12 11:17:46 UTC
Thunar-1.6.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-12-12 13:40:50 UTC
Thunar-1.6.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.